BinaryNaiveBayesModelReader (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml.naivebayes

## Class BinaryNaiveBayesModelReader

- java.lang.Object
- - opennlp.tools.ml.model.AbstractModelReader
  - - opennlp.tools.ml.naivebayes.NaiveBayesModelReader
    - - opennlp.tools.ml.naivebayes.BinaryNaiveBayesModelReader

-     public class BinaryNaiveBayesModelReader
      extends NaiveBayesModelReader

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.ml.model.AbstractModelReader

      `MAX_ENTRIES_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryNaiveBayesModelReader(DataInputStream dis)` Constructor which directly instantiates the DataInputStream containing the model contents.
    `BinaryNaiveBayesModelReader(File f)` Constructor which takes a File and creates a reader for it.

  - ### Method Summary

    - ### Methods inherited from class opennlp.tools.ml.naivebayes.NaiveBayesModelReader

      `checkModelType, constructModel`

    - ### Methods inherited from class opennlp.tools.ml.model.AbstractModelReader

      `getModel, readDouble, readInt, readUTF`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryNaiveBayesModelReader

          public BinaryNaiveBayesModelReader(DataInputStream dis)

      Constructor which directly instantiates the DataInputStream containing the model contents.
      Parameters:
        `dis` - The DataInputStream containing the model information.

    - #### BinaryNaiveBayesModelReader

          public BinaryNaiveBayesModelReader(File f)
                                      throws IOException

      Constructor which takes a File and creates a reader for it. Detects whether the file is gzipped or not based on whether the suffix contains ".gz"
      Parameters:
        `f` - The File in which the model is stored.
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.